
# Class: LoadUserInfoCommand

A command that changes properties of design elements in the editor.

```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "loadUserInfo": {
      "data": {
        "Name": "Neo"
        "Company": "Matrix"
        }
    }
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **LoadUserInfoCommand**

## Index

### Methods

* [execute](loaduserinfocommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: [IDesignEditorLoadUserInfoParams](../interfaces/idesigneditorloaduserinfoparams.md), `oldParams`: [IDesignEditorLoadUserInfoParams](../interfaces/idesigneditorloaduserinfoparams.md)): *Promise‹any›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [IDesignEditorLoadUserInfoParams](../interfaces/idesigneditorloaduserinfoparams.md) | Parameters for the command. |
`oldParams` | [IDesignEditorLoadUserInfoParams](../interfaces/idesigneditorloaduserinfoparams.md) | The previous parameters for the command.  |

**Returns:** *Promise‹any›*
